summaryrefslogtreecommitdiffstats
path: root/debian/tests/systemd
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-15 17:36:49 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-15 17:36:49 +0000
commit35283b11095f157c99b0e5dcd115de15fe61d3a4 (patch)
treef9673e8aa4515bd1d93fd3ae7ed6f6f795e4db27 /debian/tests/systemd
parentAdding upstream version 1:2.3.21+dfsg1. (diff)
downloaddovecot-35283b11095f157c99b0e5dcd115de15fe61d3a4.tar.xz
dovecot-35283b11095f157c99b0e5dcd115de15fe61d3a4.zip
Adding debian version 1:2.3.21+dfsg1-2.debian/1%2.3.21+dfsg1-2
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/tests/systemd')
-rwxr-xr-xdebian/tests/systemd22
1 files changed, 22 insertions, 0 deletions
diff --git a/debian/tests/systemd b/debian/tests/systemd
new file mode 100755
index 0000000..48afbf5
--- /dev/null
+++ b/debian/tests/systemd
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+set -e
+
+echo "Checking whether dovecot.service is enabled"
+systemctl is-enabled dovecot.service
+
+echo "Checking whether dovecot.service is a native unit"
+source=$(systemctl show -pSourcePath dovecot.service | cut -d = -f 2)
+if [ -n "$source" ]; then
+ echo $source
+ exit 1
+else
+ echo "OK (no SourcePath found)"
+fi
+
+echo "Checking whether dovecot.socket is inactive"
+status=$(systemctl show -pActiveState dovecot.socket | cut -d = -f 2)
+echo $status
+if [ "$status" != inactive ]; then
+ exit 1
+fi